D2BlogBundle_homepage:
    pattern:  /blog/
    defaults: { _controller: D2BlogBundle:Page:index }
    requirements:
        _method:  GET
        
D2BlogBundle_about:
    pattern:  /blog/about
    defaults: { _controller: D2BlogBundle:Page:about }
    requirements:
        _method:  GET
        
D2BlogBundle_sidebar:
    pattern:  /blog/sidebar
    defaults: { _controller: D2BlogBundle:Page:sidebar }
    requirements:
        _method:  GET
        
D2BlogBundle_contact:
    pattern:  /blog/contact
    defaults: { _controller: D2BlogBundle:Page:contact }
    requirements:
        _method:  GET|POST
        
D2BlogBundle_blog_show:
    pattern:  /blog/show/{id}/{slug}
    defaults: { _controller: D2BlogBundle:Blog:show }
    requirements:
        _method:  GET
        id: \d+

D2BlogBundle_comment_new:
    pattern:  /blog/new/{blog_id}
    defaults: { _controller: D2BlogBundle:Comment:new }
    requirements:
        _method:  GET
        blog_id: \d+

D2BlogBundle_comment_create:
    pattern:  /blog/comment/{blog_id}
    defaults: { _controller: D2BlogBundle:Comment:create }
    requirements:
        _method:  POST
        blog_id: \d+
